# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.0-rc2] - 2021-08-20

### Added

- Metrics collector are grouped into two categories, plugin and non-plugin, see ARCHITECTURE.md.
- Added extensions metrics (plugin collector).
- Added config metrics (plugin collector).
- Added cache metrics (non plugin collector).
- Added database metrics (non plugin collector).
- Added requests metrics (non plugin collector).
- It's now possible (configurable) to wipe prometheus client storage on config import.
- The database and requests collectors have the buckets of the histograms of
  theirs metrics configurable.
  The prometheus client storage for those collectors is always cleaned if the
  buckets configuration is changed. This is because the underlying library does
  not register histograms with buckets different than the ones it already has
  in storage.
- Removed support for Drupal core 8.8.
- Dependency on drupal/pcb in order not to have our cache bin clean during
  cache clear.
- Support to run `composer run tests` or `composer run phpqa`.
- ARCHITECTURE.md, CHANGELOG.md, more info in README.md.

### Changed

- base module has now a general config page and a plugins config page.
- "update" plugin now outputs these labels:
  `'name', 'version', 'latest_version', 'has_security_update'`.
- `"user_count"` plugin now outputs these labels: role=$roleid, status=active/blocked.

## [1.0-rc1] - 2021-07-07

### Added
- First release of the module
  Forked from `drupal/prometheus_exporter#f50db0478b6d8f85ba81ef7e0b5d7ffc7dcc25f3`
  changing the machine name to `prometheusio_exporter`.
  Changed underlying library to `promphp/prometheus_client_php` which is stateful,
  with a patch (see composer.json) that enables usage of metrics with same name
  but different labels.
